# WOK
TKWOK
WOKernel

# WOKernel_Warehouse Class Reference

Warehouse contains parcels used by the workshops
of the factory
.

`#include <WOKernel_Warehouse.hxx>`

Inheritance diagram for WOKernel_Warehouse:

[legend]

## Public Member Functions

Standard_EXPORT | WOKernel_Warehouse (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKernel_Factory)&anesting)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EntityCode () const
virtual Standard_EXPORT void | Open ()
| open an existing entity
virtual Standard_EXPORT void | Close ()
| closes entity
Standard_EXPORT void | AddParcel (const Handle(WOKernel_Parcel)&aparcel)
Standard_EXPORT void | RemoveParcel (const Handle(WOKernel_Parcel)&aparcel)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Parcels () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | DumpParcelList () const

## Private Attributes

Handle_TColStd_HSequenceOfHAsciiString | myparcels

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_Warehouse::WOKernel_Warehouse | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKernel_Factory)& | anesting
| ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_Warehouse::AddParcel | ( | const Handle(WOKernel_Parcel)& | aparcel | ) |

virtual Standard_EXPORT void WOKernel_Warehouse::Close | ( |  | ) | `[virtual]`

| Implements WOKernel_Entity.

Standard_EXPORT void WOKernel_Warehouse::DumpParcelList | ( |  | ) | const`[private]`

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKernel_Warehouse::EntityCode | ( |  | ) | const`[virtual]`

| Implements WOKernel_Entity.

Standard_EXPORT const WOKernel_Warehouse::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKernel_Entity.

virtual Standard_EXPORT void WOKernel_Warehouse::Open | ( |  | ) | `[virtual]`

| Implements WOKernel_Entity.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKernel_Warehouse::Parcels | ( |  | ) | const

Standard_EXPORT void WOKernel_Warehouse::RemoveParcel | ( | const Handle(WOKernel_Parcel)& | aparcel | ) |

## Field Documentation

Handle_TColStd_HSequenceOfHAsciiString WOKernel_Warehouse::myparcels `[private]`

The documentation for this class was generated from the following file:

- WOKernel_Warehouse.hxx